<script setup>
import {useRoute} from "vue-router";
import {computed} from "vue";

const route = useRoute();

const key = computed(() => {
  return route.path + Math.random();
});
</script>
<template>
  <section ref="appMain" class="app-main">
    <router-view :key="key" v-slot="{ Component, route }">
      <component :is="Component" :key="route.fullPath"/>
    </router-view>
  </section>
</template>
